Subject: Re: [O] bug#14379: bug#14379: Several Org source files cannot be loaded in isolation

From: Eric Schulte <[email-masked]>
Date: Mon, 13 May 2013 15:32:45 -0600

Achim Gratz <[email-masked]> writes:

> Carsten Dominik writes:
>> I have asked Eric to fix these.
>
> These errors do not exist in Org 8 anymore, in other words they are
> already fixed (by the introduction of ob-core, as it were).
>

I'm still getting an error with the following.

    $ emacs -batch -l lisp/ob-C.el
    Symbol's value as variable is void: org-babel-tangle-lang-exts

I can eliminate the error if I remove

  (defvar org-babel-tangle-lang-exts)

from ob-C.el, and add an explicit require to ob-tangle.  I have no idea
why the explicit require works, but requiring /through/ ob.el does not
work.  I can make these changes if it is important to be able to load
these source files individually.

Best,

-- 
Eric Schulte
http://cs.unm.edu/~eschulte